# tssStruct Struct Reference

`#include <tss.h>`

## Data Fields

short | back_link
short | back_link_reserved
long | esp0
short | ss0
short | ss0_reserved
long | esp1
short | ss1
short | ss1_reserved
long | esp2
short | ss2
short | ss2_reserved
long | cr3
long | eip
long | eflags
long | eax
long | ecx
long | edx
long | ebx
long | esp
long | ebp
long | esi
long | edi
short | es
short | es_reserved
short | cs
short | cs_reserved
short | ss
short | ss_reserved
short | ds
short | ds_reserved
short | fs
short | fs_reserved
short | gs
short | gs_reserved
short | ldt
short | ldt_reserved
short | trace_bitmap
short | io_map
char | io_space [8192]

## Field Documentation

short tssStruct::back_link

short tssStruct::back_link_reserved

long tssStruct::cr3

short tssStruct::cs

short tssStruct::cs_reserved

short tssStruct::ds

short tssStruct::ds_reserved

long tssStruct::eax

long tssStruct::ebp

long tssStruct::ebx

long tssStruct::ecx

long tssStruct::edi

long tssStruct::edx

long tssStruct::eflags

long tssStruct::eip

short tssStruct::es

short tssStruct::es_reserved

long tssStruct::esi

long tssStruct::esp

long tssStruct::esp0

long tssStruct::esp1

long tssStruct::esp2

short tssStruct::fs

short tssStruct::fs_reserved

short tssStruct::gs

short tssStruct::gs_reserved

short tssStruct::io_map

char tssStruct::io_space[8192]

short tssStruct::ldt

short tssStruct::ldt_reserved

short tssStruct::ss

short tssStruct::ss0

short tssStruct::ss0_reserved

short tssStruct::ss1

short tssStruct::ss1_reserved

short tssStruct::ss2

short tssStruct::ss2_reserved

short tssStruct::ss_reserved

short tssStruct::trace_bitmap

The documentation for this struct was generated from the following file:

- tss.h